//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Elements only used for paleontological units
 * 
 * <p>Java class for PaleontologicalUnit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PaleontologicalUnit"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Preservation" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Completeness" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;element name="Form" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;element name="Matrix" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;element name="Mineralization" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;element name="Taphonomy" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="TimeRange" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PaleontologicalUnit", propOrder = {
    "preservation",
    "timeRange"
})
public class PaleontologicalUnit {

    @XmlElement(name = "Preservation")
    protected PaleontologicalUnit.Preservation preservation;
    @XmlElement(name = "TimeRange")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String timeRange;

    /**
     * Gets the value of the preservation property.
     * 
     * @return
     *     possible object is
     *     {@link PaleontologicalUnit.Preservation }
     *     
     */
    public PaleontologicalUnit.Preservation getPreservation() {
        return preservation;
    }

    /**
     * Sets the value of the preservation property.
     * 
     * @param value
     *     allowed object is
     *     {@link PaleontologicalUnit.Preservation }
     *     
     */
    public void setPreservation(PaleontologicalUnit.Preservation value) {
        this.preservation = value;
    }

    /**
     * Gets the value of the timeRange property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTimeRange() {
        return timeRange;
    }

    /**
     * Sets the value of the timeRange property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTimeRange(String value) {
        this.timeRange = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Completeness" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;element name="Form" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;element name="Matrix" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;element name="Mineralization" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;element name="Taphonomy" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "completeness",
        "form",
        "matrix",
        "mineralization",
        "taphonomy"
    })
    public static class Preservation {

        @XmlElement(name = "Completeness")
        protected StringL completeness;
        @XmlElement(name = "Form")
        protected StringL form;
        @XmlElement(name = "Matrix")
        protected StringL matrix;
        @XmlElement(name = "Mineralization")
        protected StringL mineralization;
        @XmlElement(name = "Taphonomy")
        protected StringL taphonomy;

        /**
         * Gets the value of the completeness property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getCompleteness() {
            return completeness;
        }

        /**
         * Sets the value of the completeness property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setCompleteness(StringL value) {
            this.completeness = value;
        }

        /**
         * Gets the value of the form property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getForm() {
            return form;
        }

        /**
         * Sets the value of the form property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setForm(StringL value) {
            this.form = value;
        }

        /**
         * Gets the value of the matrix property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getMatrix() {
            return matrix;
        }

        /**
         * Sets the value of the matrix property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setMatrix(StringL value) {
            this.matrix = value;
        }

        /**
         * Gets the value of the mineralization property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getMineralization() {
            return mineralization;
        }

        /**
         * Sets the value of the mineralization property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setMineralization(StringL value) {
            this.mineralization = value;
        }

        /**
         * Gets the value of the taphonomy property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getTaphonomy() {
            return taphonomy;
        }

        /**
         * Sets the value of the taphonomy property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setTaphonomy(StringL value) {
            this.taphonomy = value;
        }

    }

}
